# 获取数据
import sys
from LIB.BACKEND import DBManager
from LIB.MIDDLE.Stray.VoltageStray.V_1_0_0 import VoltageStray

sn = "MGMCLN750N215N116"
st = '2021-09-17 21:33:07'
et = '2021-09-17 21:35:07'

dbManager = DBManager.DBManager()
df_data = dbManager.get_data(sn=sn, start_time=st, end_time=et, data_groups=['bms'])
# 
df_bms = df_data['bms']
voltageStray = VoltageStray.VoltageStray();
print(voltageStray.cal_vol_uniform(df_bms, 1, 5))